Gentoo Archives: gentoo-commits

From: Stefan Strogin <steils@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/avidemux-core/files/, media-libs/avidemux-core/
Date: Wed, 14 Aug 2019 02:24:18
Message-Id: 1565747992.cb6a366cc2dc907d197cfe9e2f454dea6530e545.steils@gentoo
commit:     cb6a366cc2dc907d197cfe9e2f454dea6530e545
Author:     Stefan Strogin <steils <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 13 19:26:13 2019 +0000
Commit:     Stefan Strogin <steils <AT> gentoo <DOT> org>
CommitDate: Wed Aug 14 01:59:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb6a366c

media-libs/avidemux-core: bump version to 2.7.3

- EAPI=7.
- Add patch to fix libraries permissions.

Bug: https://bugs.gentoo.org/657386
Package-Manager: Portage-2.3.71, Repoman-2.3.17
Signed-off-by: Stefan Strogin <steils <AT> gentoo.org>

 media-libs/avidemux-core/Manifest                  |  1 +
 .../avidemux-core/avidemux-core-2.7.3.ebuild       | 88 ++++++++++++++++++++++
 .../files/avidemux-core-2.7.3-permissions.patch    | 28 +++++++
 media-libs/avidemux-core/metadata.xml              |  2 +-
 4 files changed, 118 insertions(+), 1 deletion(-)

diff --git a/media-libs/avidemux-core/Manifest b/media-libs/avidemux-core/Manifest
index 281d961cf75..e9ad4687cc9 100644
--- a/media-libs/avidemux-core/Manifest
+++ b/media-libs/avidemux-core/Manifest
@@ -1 +1,2 @@
+DIST 2.7.3.tar.gz 23772654 BLAKE2B f946c267140bc8aebda2ce027ed8cb7c84a98a401255d3e0cdaf7498680e8bd9c78a33c122cb177d397ed2dd6bc3c29d7508578028c2964c2897279bf860b62d SHA512 d7761de1c40de1b824efbcf24173ea738a2e0ba7fa41cefa09e7bac3ec97f3af4b04201e36f9de50ade2b09e394aa99ed1d4907f90bb132f9896e8f1b5e82d7a
 DIST avidemux_2.7.0.tar.gz 21474504 BLAKE2B c6e55a0b5220d6d3746fa06162bf11253145fd28f2f6f744702d5e0342fba85e546a28883eb847139eadd34c94037ebc7d68f5576e7505a85288556468d14b96 SHA512 7c92213d3bd2849dbdb5a1aff2acd6da231fd76c561b756fbf4a1d5a41e9705d609d7a35b6ca6b77ceb3bf5138f861cd24ed16d8fcec4fd713f09a2ff07e9015

diff --git a/media-libs/avidemux-core/avidemux-core-2.7.3.ebuild b/media-libs/avidemux-core/avidemux-core-2.7.3.ebuild
new file mode 100644
index 00000000000..f8fec3c0f4e
--- /dev/null
+++ b/media-libs/avidemux-core/avidemux-core-2.7.3.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+inherit cmake-utils
+
+DESCRIPTION="Core libraries for simple video cutting, filtering and encoding tasks"
+HOMEPAGE="http://fixounet.free.fr/avidemux"
+SRC_URI="https://github.com/mean00/avidemux2/archive/${PV}.tar.gz"
+
+# Multiple licenses because of all the bundled stuff.
+LICENSE="GPL-1 GPL-2 MIT PSF-2 public-domain"
+SLOT="2.7"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug nls nvenc sdl system-ffmpeg vaapi vdpau xv"
+
+# Trying to use virtual; ffmpeg misses aac,cpudetection USE flags now though, are they needed?
+DEPEND="dev-db/sqlite:3
+	nvenc? ( media-video/nvidia_video_sdk )
+	sdl? ( media-libs/libsdl:0 )
+	system-ffmpeg? ( >=virtual/ffmpeg-9:0[mp3,theora] )
+	vaapi? ( x11-libs/libva:0= )
+	vdpau? ( x11-libs/libvdpau:0 )
+	xv? ( x11-libs/libXv:0 )
+"
+RDEPEND="${DEPEND}
+	!<media-libs/avidemux-core-${PV}
+	!<media-video/avidemux-${PV}
+	nls? ( virtual/libintl:0 )
+"
+BDEPEND="virtual/pkgconfig
+	nls? ( sys-devel/gettext )
+	!system-ffmpeg? ( dev-lang/yasm[nls=] )
+"
+
+S="${WORKDIR}/avidemux2-${PV}"
+CMAKE_USE_DIR="${S}/${PN/-/_}"
+
+PATCHES=( "${FILESDIR}"/${P}-permissions.patch )
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	if use system-ffmpeg ; then
+		# Preparations to support the system ffmpeg. Currently fails because
+		# it depends on files the system ffmpeg doesn't install.
+		local error="Failed to remove bundled ffmpeg."
+
+		rm -r cmake/admFFmpeg* cmake/ffmpeg* avidemux_core/ffmpeg_package \
+			buildCore/ffmpeg || die "${error}"
+		sed -e 's/include(admFFmpegUtil)//g' -e '/registerFFmpeg/d' \
+			-i avidemux/commonCmakeApplication.cmake || die "${error}"
+		sed -e 's/include(admFFmpegBuild)//g' \
+			-i avidemux_core/CMakeLists.txt || die "${error}"
+	fi
+}
+
+src_configure() {
+	# See bug 432322.
+	use x86 && replace-flags -O0 -O1
+
+	local mycmakeargs=(
+		-DAVIDEMUX_SOURCE_DIR='${S}'
+		-DGETTEXT="$(usex nls)"
+		-DNVENC="$(usex nvenc)"
+		-DSDL="$(usex sdl)"
+		-DLIBVA="$(usex vaapi)"
+		-DVDPAU="$(usex vdpau)"
+		-DXVIDEO="$(usex xv)"
+	)
+
+	if use debug ; then
+		mycmakeargs+=( -DVERBOSE=1 -DADM_DEBUG=1 )
+	fi
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+}
+
+src_install() {
+	cmake-utils_src_install
+}

diff --git a/media-libs/avidemux-core/files/avidemux-core-2.7.3-permissions.patch b/media-libs/avidemux-core/files/avidemux-core-2.7.3-permissions.patch
new file mode 100644
index 00000000000..0f8ee21632e
--- /dev/null
+++ b/media-libs/avidemux-core/files/avidemux-core-2.7.3-permissions.patch
@@ -0,0 +1,28 @@
+From 7c5c267987b90cf0b61ca98e9f8b6db2c0cdb84f Mon Sep 17 00:00:00 2001
+From: Stefan Strogin <steils@g.o>
+Date: Wed, 14 Aug 2019 03:35:01 +0300
+Subject: [PATCH] [cmake] Fix library permissions
+
+Upstream-Status: Submitted
+[https://github.com/mean00/avidemux2/pull/179]
+Signed-off-by: Stefan Strogin <steils@g.o>
+---
+ cmake/admInstallDir.cmake | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/cmake/admInstallDir.cmake b/cmake/admInstallDir.cmake
+index ab16f283d..5af762626 100644
+--- a/cmake/admInstallDir.cmake
++++ b/cmake/admInstallDir.cmake
+@@ -55,7 +55,7 @@ ENDMACRO(ADM_INSTALL_LIB )
+ MACRO (ADM_INSTALL_LIB_FILES files)
+         INSTALL(FILES ${files} 
+                         DESTINATION ${AVIDEMUX_LIB_DIR}
+-                        PERMISSIONS WORLD_READ WORLD_EXECUTE OWNER_WRITE OWNER_READ OWNER_EXECUTE
++                        PERMISSIONS WORLD_READ WORLD_EXECUTE GROUP_READ GROUP_EXECUTE OWNER_WRITE OWNER_READ OWNER_EXECUTE
+                         COMPONENT  runtime
+                 )
+ ENDMACRO (ADM_INSTALL_LIB_FILES)
+-- 
+2.22.0
+

diff --git a/media-libs/avidemux-core/metadata.xml b/media-libs/avidemux-core/metadata.xml
index efad95d3100..1f4fd12a3a7 100644
--- a/media-libs/avidemux-core/metadata.xml
+++ b/media-libs/avidemux-core/metadata.xml
@@ -10,6 +10,6 @@
     <flag name="system-ffmpeg">Use the ffmpeg provided by the system.</flag>
   </use>
   <upstream>
-    <remote-id type="sourceforge">avidemux</remote-id>
+    <remote-id type="github">mean00/avidemux2</remote-id>
   </upstream>
 </pkgmetadata>